%global eclipse_base	%{_libdir}/eclipse
%global	eclipse_dropins	%{_datadir}/eclipse/dropins

Name:		eclipse-wtp-jpa
Version:	3.4.0
Release:	2%{?dist}
Summary:	Eclipse tools for definition of (O/R) mappings for JPA entities

Group:		Development/Tools
License:	EPL
URL:		http://www.eclipse.org/webtools/dali/

# /usr/bin/bash -x fetch-wtp-jpa.sh
Source0:	%{name}-%{version}.tar.xz

Patch0:		org.eclipse.jpt.common.utility-explicit-cast.patch
Patch1:		org.eclipse.jpt.jpa.feature-remove-version-checks.patch
Patch2:		jpa.jpql-remove-version-check-javax.persistence.patch

BuildArch:	noarch

BuildRequires:	apache-commons-logging >= 1.1.1
BuildRequires:	apache-commons-discovery >= 0.5
BuildRequires:	apache-commons-collections >= 3.2.1
BuildRequires:	apache-commons-lang >= 2.6
BuildRequires:	eclipse-dtp >= 1.10
BuildRequires:	eclipse-emf >= 2.8.0
BuildRequires:	eclipse-emf-core >= 2.8.0
BuildRequires:	eclipse-emf-xsd >= 2.8.0
BuildRequires:	eclipse-gef >= 3.8.0
BuildRequires:	eclipse-jdt >= 4.2.0
BuildRequires:	eclipse-pde >= 4.2.0
BuildRequires:	eclipse-platform >= 4.2.0
BuildRequires:	eclipse-rcp >= 4.2.0
BuildRequires:	eclipse-swt >= 4.2.0
BuildRequires:	eclipse-wtp-common >= 3.4.0
BuildRequires:	eclipse-wtp-jeetools >= 3.4.0
BuildRequires:	eclipse-wtp-servertools >= 3.4.0
BuildRequires:	eclipse-wtp-sourceediting >= 3.4.0
BuildRequires:	hibernate-jpa-2.0-api >= 1.0.1
BuildRequires:	icu4j-eclipse >= 4.4.2.2
BuildRequires:	jdom >= 1.1.3
BuildRequires:	velocity >= 1.7

Requires:	apache-commons-logging >= 1.1.1
Requires:	apache-commons-discovery >= 0.5
Requires:	apache-commons-collections >= 3.2.1
Requires:	apache-commons-lang >= 2.6
Requires:	eclipse-dtp >= 1.10
Requires:	eclipse-emf >= 2.8.0
Requires:	eclipse-emf-core >= 2.8.0
Requires:	eclipse-emf-xsd >= 2.8.0
Requires:	eclipse-gef >= 3.8.0
Requires:	eclipse-jdt >= 4.2.0
Requires:	eclipse-pde >= 4.2.0
Requires:	eclipse-platform >= 4.2.0
Requires:	eclipse-rcp >= 4.2.0
Requires:	eclipse-swt >= 4.2.0
Requires:	eclipse-wtp-common >= 3.4.0
Requires:	eclipse-wtp-jeetools >= 3.4.0
Requires:	eclipse-wtp-servertools >= 3.4.0
Requires:	eclipse-wtp-sourceediting >= 3.4.0
Requires:	hibernate-jpa-2.0-api >= 1.0.1
Requires:	icu4j-eclipse >= 4.4.2.2
Requires:	jdom >= 1.1.3
Requires:	velocity >= 1.7


%description
The Dali Java Persistence Tools Project provides extensible frameworks and
tools for the definition and editing of Object-Relational (O/R) mappings for
Java Persistence API (JPA) entities. JPA mapping support focuses on minimizing
the complexity of mapping by providing entity generation wizards, design-time
validation, and a rich UI for entity and persistence unit configuration.

%package	sdk
Summary:	SDK for Eclipse Webtools JPA
Group:		System Environment/Libraries
Requires:	java-javadoc
Requires:	eclipse-pde
Requires:	%{name} = %{version}-%{release}

%description sdk
Documentation and source for the Eclipse Webtools 'Dali' Java Persistence Tools.


%prep
%setup -q

find . -type f -name *.jar -exec rm -f {} \;
find . -type f -name *.class -exec rm -f {} \;

%patch0
%patch1
%patch2

#Orbit links
rm -rf orbit
mkdir orbit
pushd orbit
%{__ln_s} %{_javadir}/jdom.jar
%{__ln_s} %{_javadir}/velocity.jar
%{__ln_s} %{_javadir}/hibernate-jpa-2.0-api.jar
%{__ln_s} %{_javadir}/apache-commons-collections.jar
%{__ln_s} %{_javadir}/apache-commons-lang.jar
popd


%build
# Stuff not being built yet:
# None of jpa_diagram_editor
# Not all of the eclipselink features

%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.common.feature \
	-d "eclipse-wtp-common emf wtp-sourceediting wtp-jeetools\
	   org.eclipse.jst.server_ui.feature wtp-webservices xsd gef" \
	-o `pwd`/orbit

%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.common.eclipselink.feature \
	-d "eclipse-wtp-common emf wtp-sourceediting wtp-jeetools\
	   org.eclipse.jst.server_ui.feature wtp-webservices xsd gef" \
	-o `pwd`/orbit

%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.jpa.feature \
	-d "gef emf wtp-webservices wtp-jeetools dtp-enablement dtp-modelbase \
	   eclipse-wtp-common dtp-connectivity dtp-sqldevtools \
	   org.eclipse.jst.server_ui.feature wtp-sourceediting wtp-jeetools" \
	-o `pwd`/orbit

%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.jaxb.feature \
	-d "gef emf wtp-webservices wtp-jeetools dtp-enablement dtp-modelbase \
	   eclipse-wtp-common dtp-connectivity dtp-sqldevtools \
	   org.eclipse.jst.server_ui.feature wtp-sourceediting xsd" \
	-o `pwd`/orbit

# build sdk features
%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.jpa_sdk.feature
%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.jaxb_sdk.feature
%{_bindir}/eclipse-pdebuild -f org.eclipse.jpt.common_sdk.feature


%install
install -d -m 755 %{buildroot}%{eclipse_dropins}/wtp-jpa
install -d -m 755 %{buildroot}%{eclipse_dropins}/wtp-jpa-sdk

%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa \
	   build/rpmBuild/org.eclipse.jpt.common.feature.zip
%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa \
	   build/rpmBuild/org.eclipse.jpt.common.eclipselink.feature.zip
%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa \
	   build/rpmBuild/org.eclipse.jpt.jpa.feature.zip
%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa \
	   build/rpmBuild/org.eclipse.jpt.jaxb.feature.zip

%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa-sdk \
	   build/rpmBuild/org.eclipse.jpt.jpa_sdk.feature.zip
%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa-sdk \
	   build/rpmBuild/org.eclipse.jpt.jaxb_sdk.feature.zip
%{__unzip} -q -d %{buildroot}%{eclipse_dropins}/wtp-jpa-sdk \
	   build/rpmBuild/org.eclipse.jpt.common_sdk.feature.zip

#Recreate symlinks & remove duplicate jars
pushd %{buildroot}%{eclipse_dropins}/wtp-jpa/eclipse/plugins

rm -f org.jdom_*.jar
rm -f org.apache.velocity_*.jar
rm -f org.apache.commons.lang_*.jar
rm -f org.apache.commons.collections_*.jar

%{__ln_s} %{_javadir}/jdom.jar
%{__ln_s} %{_javadir}/velocity.jar
%{__ln_s} %{_javadir}/apache-commons-lang.jar
%{__ln_s} %{_javadir}/apache-commons-collections.jar
popd

%files
%{eclipse_dropins}/wtp-jpa
%doc org.eclipse.jpt.jpa.eclipselink.feature/sourceTemplatePlugin/license.html
%doc org.eclipse.jpt.common.core/about.html

%files sdk
%{eclipse_dropins}/wtp-jpa-sdk

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-1
- Update to R3.4.0 Juno stable release

* Thu Jul 5 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.2.20120619cvs
- Add comment on how to create tarball
- Add add apache-commons-collections and apache-commons-lang to BR/R

* Tue Jun 19 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.1.20120619cvs
- Initial Fedora package
